import java.util.*;

public class Letters 
{
	Map <String,Integer>letterToInt=new HashMap<String,Integer>();
	
	public Letters (String allLetters)
	{
		String [] letters=allLetters.split("");
		Arrays.sort(letters);
		
		for (int i=0;i<letters.length ;i++)
		{
			letterToInt.put(letters[i], i);  //autoboxing int to Integer
		}
	}
	
	public Integer getInt(String letter)
	{
		if(letterToInt.containsKey(letter))
			return letterToInt.get(letter);
		return null;
	}
	
	public static void main (String [] args)
	{
		Letters l=new Letters("abcdefghklmnopqrstuvwxyz");
		String letter="k";
		int pos=l.getInt(letter);
		System.out.println("For letter "+letter+ " returned position "+pos);
	}
}
